jQuery(function($) {

	$('.cmloc-map-category-filter input').change(function() {
		var input = $(this);
		var filter = input.parents('.cmloc-map-category-filter').first();
		var wrapper = input.parents('.cmloc-map-shortcode').first();
		var mapCanvas = wrapper.find('#cmloc-location-index-map-canvas');
		var mapObj = mapCanvas[0].mapObj;
		
		var location_ids = '';
		filter.find('input:checked').each(function(index) {
			location_ids += '|'+$(this).attr('location_ids');
		});		
		location_ids = location_ids.substr(1);

		var location_ids_arr = [];
		if(location_ids != '') {
			location_ids_arr = location_ids.split('|');
		}

		if(location_ids_arr.length > 0) {
			cmloc_location_index_map_canvas_data_filter = [];
			for (loc_index in cmloc_location_index_map_canvas_data) {
				var loc_id = cmloc_location_index_map_canvas_data[loc_index].ID;
				var location_found = $.inArray(loc_id, location_ids_arr);
				if(location_found >= 0) {
					cmloc_location_index_map_canvas_data_filter.push(cmloc_location_index_map_canvas_data[loc_index]);
				}
			} 
			window.cmlocMaps.push(new CMLOC_Index_Map('cmloc-location-index-map-canvas', cmloc_location_index_map_canvas_data_filter, 1));
		} else {
			window.cmlocMaps.push(new CMLOC_Index_Map('cmloc-location-index-map-canvas', cmloc_location_index_map_canvas_data, 1));
		}
	});

	$(window).load(function() {
		var input = $('.cmloc-map-category-filter input');
		var filter = input.parents('.cmloc-map-category-filter').first();
		var wrapper = input.parents('.cmloc-map-shortcode').first();
		var mapCanvas = wrapper.find('#cmloc-location-index-map-canvas');
		var mapObj = mapCanvas[0].mapObj;
		
		var location_ids = '';
		filter.find('input:checked').each(function(index) {
			location_ids += '|'+$(this).attr('location_ids');
		});		
		location_ids = location_ids.substr(1);

		var location_ids_arr = [];
		if(location_ids != '') {
			location_ids_arr = location_ids.split('|');
		}

		if(location_ids_arr.length > 0) {
			cmloc_location_index_map_canvas_data_filter = [];
			for (loc_index in cmloc_location_index_map_canvas_data) {
				var loc_id = cmloc_location_index_map_canvas_data[loc_index].ID;
				var location_found = $.inArray(loc_id, location_ids_arr);
				if(location_found >= 0) {
					cmloc_location_index_map_canvas_data_filter.push(cmloc_location_index_map_canvas_data[loc_index]);
				}
			} 
			window.cmlocMaps.push(new CMLOC_Index_Map('cmloc-location-index-map-canvas', cmloc_location_index_map_canvas_data_filter, 1));
		} else {
			window.cmlocMaps.push(new CMLOC_Index_Map('cmloc-location-index-map-canvas', cmloc_location_index_map_canvas_data, 1));
		}
	});

});