function CMLOC_Disclaimer_CreateCookie(name, value, days){
	var date = new Date();
    date.setTime(date.getTime() + (days * 24 * 60 * 60 * 1000));
    var expires = "; expires=" + date.toGMTString();
    document.cookie = name + "=" + value + expires + "; path=/";
}
function CMLOC_Disclaimer_ReadCookie(name){
    var nameEQ = name + "=";
    var ca = document.cookie.split(';');
    for(var i = 0; i < ca.length; i++){
        var c = ca[i];
        while(c.charAt(0) == ' ')
            c = c.substring(1, c.length);
        if(c.indexOf(nameEQ) == 0)
            return c.substring(nameEQ.length, c.length);
    }
    return null;
}
function CMLOC_Disclaimer_CheckCookies(){
    if(CMLOC_Disclaimer_ReadCookie('cmloc_disclaimer') != 'Y') {
        var message = cmloc_disclaimer_opts.content;
        var message_container = document.createElement('div');
        message_container.id = 'cmloc-disclaimer-message-container';
        var html_code = '';
		html_code += '<div id="disclaimer-message">';
		html_code += '<div id="disclaimer-message-inner">';
		html_code += message;
        html_code += '<br />';
        html_code += '<br />';
		html_code += '<a href="javascript:CMLOC_Disclaimer_CloseCookiesWindow();" id="accept-disclaimer-checkbox">'+cmloc_disclaimer_opts.acceptText + '</a>';
        html_code += '<a href="javascript:CMLOC_Disclaimer_RejectCookiesWindow();" id="reject-disclaimer-checkbox">'+cmloc_disclaimer_opts.rejectText+'</a>';
		html_code += '</div>';
		html_code += '</div>';
        message_container.innerHTML = html_code;
        document.body.appendChild(message_container);
        var elem = document.getElementById('disclaimer-message');
        elem.style.marginTop = '-' + (elem.offsetHeight / 2) + 'px';
    }
}
function CMLOC_Disclaimer_CloseCookiesWindow(){
	CMLOC_Disclaimer_CreateCookie('cmloc_disclaimer', 'Y', 365);
    document.getElementById('cmloc-disclaimer-message-container').removeChild(document.getElementById('disclaimer-message'));
    document.getElementById('cmloc-disclaimer-message-container').parentNode.removeChild(document.getElementById('cmloc-disclaimer-message-container'));
}
function CMLOC_Disclaimer_RejectCookiesWindow(){
    document.getElementById('cmloc-disclaimer-message-container').removeChild(document.getElementById('disclaimer-message'));
    document.getElementById('cmloc-disclaimer-message-container').parentNode.removeChild(document.getElementById('cmloc-disclaimer-message-container'));
    window.location = cmloc_disclaimer_opts.rejecturl;
}
window.onload = CMLOC_Disclaimer_CheckCookies;