<?php
use com\cminds\maplocations\model\Labels;
use com\cminds\maplocations\model\Settings;
use com\cminds\maplocations\controller\FrontendController;
$route = FrontendController::getRoute();
?>
<div class="cmloc-msg cmloc-msg-<?php echo $class; ?>">
	<div class="cmloc-msg-inner">
		<span>
			<?php echo apply_filters('cmloc_dashboard_msg', Labels::getLocalized($msg), $msg, $class); ?>
			<?php
			if(Settings::getOption(Settings::OPTION_ROUTE_MODERATION_ENABLE) == '1' && $route->getStatus() == 'pending' && !current_user_can('manage_options')) {
				echo Labels::getLocalized('location_save_success_pending');
			}
			?>
		</span>
		<div class="cmloc-msg-extra"><?php echo $extra; ?></div>
	</div>
</div>