<?php
namespace com\cminds\maplocations\widget;

use com\cminds\maplocations\controller\Controller;
use com\cminds\maplocations\controller\FrontendController;
use com\cminds\maplocations\App;
use com\cminds\maplocations\model\SettingsAbstract;

class DescriptionWidget extends Widget {

	const WIDGET_NAME = 'CM Map Locations Description';
	const WIDGET_DESCRIPTION = 'Displays CM Map Locations Description.';
	
	function getWidgetContent($args, $instance) {
		$categories = array();
		$currentCategory[] = FrontendController::getCategory();
		$route = FrontendController::getRoute();
		if($route) {
			$categories = $route->getCategories();
		} else if(isset($currentCategory[0]) && $currentCategory[0]->getName()) {
			$categories = $currentCategory;
		}
		return Controller::loadView('frontend/widget/description', compact('args', 'instance', 'route', 'categories'));
	}
	
	function canDisplay($args, $instance) {
		return true;
		//return FrontendController::isThePage();
	}

}