<?php
namespace com\cminds\maplocations\controller;

use com\cminds\maplocations\model\Route;
use com\cminds\maplocations\model\Settings;

class TagController extends Controller {
	
	protected static $actions = array(
		'cmloc_route_editor_middle' => array('args' => 1),
		'cmloc_route_after_save' => array('args' => 1),
	);
	
	static function cmloc_route_editor_middle(Route $route) {
		$location_form_tags = Settings::getOption(Settings::OPTION_LOCATION_FORM_TAGS);
		if ($location_form_tags != 'none') {
			echo self::loadFrontendView('editor', compact('route', 'location_form_tags'));
		}
	}
	
	static function cmloc_route_after_save(Route $route) {
		if (!empty($_POST['tags'])) {
			$tags = $_POST['tags'];
		} else {
			$tags = array();
		}
		$route->setTags($tags);
	}

}