<?php
use com\cminds\maplocations\model\Category;
use com\cminds\maplocations\helper\FormHtml;
use com\cminds\maplocations\model\Labels;
use com\cminds\maplocations\model\Settings;
$location_form_category_create = Settings::getOption(Settings::OPTION_LOCATION_FORM_CATEGORY_CREATE);
?>
<div class="cmloc-field cmloc-field-categories">
	<div class="cmloc_categories">
		<label class="firstmain"><?php echo Labels::getLocalized('location_category'); ?>:</label>
		<?php
		if ($location_form_category_create == '1') {
			echo FormHtml::checkboxTreeEdit('categories[]', $route->getCategories(Category::FIELDS_IDS), $categoriesTree);
		} else {
			echo FormHtml::checkboxTree('categories[]', $route->getCategories(Category::FIELDS_IDS), $categoriesTree);
		}
		?>
	</div>
	<?php if ($location_form_category_create == '1') { ?>
	<div class="cmloc_add_new_category_container">
		<a href="javascript:void(0);" class="cmloc_add_new_category"><?php echo Labels::getLocalized('location_category_create'); ?></a>
	</div>
	<?php } ?>
</div>