<?php
use com\cminds\maplocations\model\Route;
use com\cminds\maplocations\model\Labels;
use com\cminds\maplocations\controller\RouteController;
use com\cminds\maplocations\controller\DashboardController;
use com\cminds\maplocations\controller\FrontendController;
if(count($categories) > 0) {
	?>
	<div class="cmloc-widget-description">
		<?php
		foreach($categories as $category) {
			//echo '<p class="cmloc_widget_cat_name"><strong>'.$category->getName().'</strong></p>';
			echo '<p class="cmloc_widget_cat_description">'.do_shortcode(wpautop($category->getDescription())).'</p>';
			$files_list = $category->getLocationFileList();
			if(count($files_list) > 0) {
				foreach($files_list as $file) {
					echo '<a href="'.$file['url'].'" class="cmloc_widget_cat_description_download" download><span class="dashicons dashicons-download"></span>'.$file['title'].'</a>';
				}
			}
			if(is_user_logged_in() && current_user_can('administrator')) {
				echo '<div class="cmloc-widget-description-edit-link"><a href="'.trailingslashit(get_site_url()).'wp-admin/term.php?taxonomy=cmloc_category&tag_ID='.$category->getID().'&post_type=cmloc_object" target="_blank">'.Labels::getLocalized('widget_edit_text').'</a></div>';
			}
		}
		?>
	</div>
	<?php
}
?>